Bug 191915 - pam Package won't build in mock
Summary: pam Package won't build in mock
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-16 13:40 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.99.4.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 19:54:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (55.45 KB, patch)
2006-05-16 13:40 UTC, Andreas Thienemann
no flags Details | Diff
Build Log on x86_64 (367.37 KB, text/plain)
2006-05-16 16:23 UTC, Andreas Thienemann
no flags Details
Build Log on x86_64 (367.37 KB, text/plain)
2006-05-16 16:38 UTC, Andreas Thienemann
no flags Details

Description Andreas Thienemann 2006-05-16 13:40:55 UTC
The pam package pam-0.99.4.0-1 from rawhide won't build in mock:

if gcc -DHAVE_CONFIG_H -I. -I. -I../..  
-I/builddir/build/BUILD/Linux-PAM-0.99.4.0/pam-instroot/include
-I../../libpam/include -I../../libpamc/include -fPIC -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -W -Wbad-function-cast -Wcast-align -Wcast-qual
-Wmissing-declarations -Wmissing-prototypes -Wpointer-arith -Wreturn-type
-Wstrict-prototypes -Wwrite-strings -Winline -Wshadow -MT hmactest.o -MD -MP -MF
".deps/hmactest.Tpo" -c -o hmactest.o hmactest.c; \
then mv -f ".deps/hmactest.Tpo" ".deps/hmactest.Po"; else rm -f
".deps/hmactest.Tpo"; exit 1; fi
hmactest.c:44:25: error: openssl/evp.h: No such file or directory
hmactest.c:45:26: error: openssl/hmac.h: No such file or directory
hmactest.c: In function 'read_key_file':
hmactest.c:68: warning: ignoring return value of 'read', declared with attribute
warn_unused_result
hmactest.c: In function 'main':
hmactest.c:74: error: 'EVP_MAX_MD_SIZE' undeclared (first use in this function)
hmactest.c:74: error: (Each undeclared identifier is reported only once
hmactest.c:74: error: for each function it appears in.)
hmactest.c:84: warning: implicit declaration of function 'HMAC'
hmactest.c:84: warning: implicit declaration of function 'EVP_sha1'
hmactest.c:86: warning: comparison between signed and unsigned
hmactest.c:74: warning: unused variable 'hmac'
make[3]: *** [hmactest.o] Error 1
make[3]: Leaving directory
`/builddir/build/BUILD/Linux-PAM-0.99.4.0/modules/pam_timestamp'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/Linux-PAM-0.99.4.0/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/Linux-PAM-0.99.4.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.19974 (%build)

Attached is a patch, adding the BuildRequires: openssl-devel line.

However, even with this patch applied, the package won't completely build in mock:

make[3]: *** No rule to make target `namespace.conf.5', needed by `all-am'.  Stop.
make[3]: Leaving directory
`/builddir/build/BUILD/Linux-PAM-0.99.4.0/modules/pam_namespace'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/Linux-PAM-0.99.4.0/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/Linux-PAM-0.99.4.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.82084 (%build)

Comment 1 Andreas Thienemann 2006-05-16 13:40:55 UTC
Created attachment 129192 [details]
Patch, adding the missing buildreqs

Comment 2 Tomas Mraz 2006-05-16 14:22:53 UTC
The patch is not much useful as it is not a diff against an older version. Also
do you have a full build log of the second build available?


Comment 3 Andreas Thienemann 2006-05-16 16:23:58 UTC
Created attachment 129225 [details]
Build Log on x86_64

This is the buildlog in mock from latest cvs (pam-0.99.4.0-1).

Comment 4 Andreas Thienemann 2006-05-16 16:38:44 UTC
Created attachment 129229 [details]
Build Log on x86_64

This is the buildlog in mock from latest cvs (pam-0.99.4.0-1).

Comment 5 Tomas Mraz 2006-05-16 18:38:05 UTC
It should be now OK, please try pam-0.99.4.0-2.

Comment 6 Andreas Thienemann 2006-05-16 21:48:10 UTC
Confirmed. The "*** No rule to make target `namespace.conf.5', needed by
`all-am'.  Stop." problem is gone.

However, I'm still seeing the openssl-devel related message:

pam_namespace.c:56:25: error: openssl/md5.h: No such file or directory
pam_namespace.c: In function 'md5hash':
pam_namespace.c:785: warning: implicit declaration of function 'MD5'
pam_namespace.c:786: warning: comparison between pointer and integer
make[3]: *** [pam_namespace.lo] Error 1

Adding BuildRequire: openssl-devel, as done by the patch, should fix that.

Comment 7 Tomas Mraz 2006-05-18 16:09:44 UTC
I don't want it to link it to openssl.

Please try pam-0.99.4.0-3 in tomorrow's rawhide.


Comment 8 Matt Domsch 2006-05-25 19:54:43 UTC
pam-0.99.4.0-4.src.rpm builds on i386 and x86_64.


Note You need to log in before you can comment on or make changes to this bug.